petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCBJacobiSetLocalBlocks

Sets the local number of blocks for the block Jacobi preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCBJacobiSetLocalBlocks(PC pc,PetscInt blocks,const PetscInt lens[])

Not Collective

### Input Parameters

| pc | - the preconditioner context
| blocks | - the number of blocks
| lens | - [optional] integer array containing size of each block

### Options Database Key

-pc_bjacobi_local_blocks <blocks> -Sets the number of local blocks

### Note

Currently only a limited number of blocking configurations are supported.

### Keywords

PC, set, number, Jacobi, local, blocks

### See Also

PCSetUseAmat(), PCBJacobiSetTotalBlocks()

### Level

intermediate

### Location

src/ksp/pc/impls/bjacobi/bjacobi.c

### Examples

src/ksp/ksp/examples/tutorials/ex7.c.html

### Implementations

PCBJacobiSetLocalBlocks_BJacobi in src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages